unit Einstellungen_Unit;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TEinstellungen_Form }

  TEinstellungen_Form = class(TForm)
    CheckBox_LOG_Dateien: TCheckBox;
    CheckBox_TRACE_Dateien: TCheckBox;
    ComboBox_Meldungen_FontGroesse: TComboBox;
    ComboBox_FontGroesse: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure CheckBox_LOG_DateienChange(Sender: TObject);
    procedure CheckBox_TRACE_DateienChange(Sender: TObject);
    procedure ComboBox_FontGroesseChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Einstellungen_Form: TEinstellungen_Form;

implementation

uses
  Main_Unit;


{$R *.lfm}

{ TEinstellungen_Form }






procedure TEinstellungen_Form.FormCreate(Sender: TObject);
begin

  // Editor Font-Groesse
  ComboBox_FontGroesse.Items.Clear;

  ComboBox_FontGroesse.Items.Add('10');
  ComboBox_FontGroesse.Items.Add('12');
  ComboBox_FontGroesse.Items.Add('14');
  ComboBox_FontGroesse.Items.Add('16');
  ComboBox_FontGroesse.Items.Add('18');
  ComboBox_FontGroesse.Items.Add('20');

  ComboBox_FontGroesse.ItemIndex := Form_RP.CB_FontGroesse;

  Form_RP.ComboBox_FontGroesse_aendern;




  // Meldungsfenster Font-Groesse
  ComboBox_Meldungen_FontGroesse.Items.Clear;

  ComboBox_Meldungen_FontGroesse.Items.Add('10');
  ComboBox_Meldungen_FontGroesse.Items.Add('12');
  ComboBox_Meldungen_FontGroesse.Items.Add('14');
  ComboBox_Meldungen_FontGroesse.Items.Add('16');
  ComboBox_Meldungen_FontGroesse.Items.Add('18');
  ComboBox_Meldungen_FontGroesse.Items.Add('20');

  ComboBox_Meldungen_FontGroesse.ItemIndex := Form_RP.CB_Meldungen_FontGroesse;

  Form_RP.ComboBox_Meldungen_FontGroesse_aendern;



end; { procedure TEinstellungen_Form.FormCreate }




procedure TEinstellungen_Form.FormShow(Sender: TObject);
begin

  Einstellungen_Form.Left := Form_RP.Left + (Form_RP.Width - Einstellungen_Form.Width) DIV 2;
  Einstellungen_Form.Top := Form_RP.Top + (Form_RP.Height - Einstellungen_Form.Height) DIV 2;

  CheckBox_TRACE_Dateien.Checked:=Form_RP.CheckBox_TRC_Datei;
  CheckBox_LOG_Dateien.Checked:=Form_RP.CheckBox_LOG_Dateien;

end; { procedure TEinstellungen_Form.FormShow }




procedure TEinstellungen_Form.ComboBox_FontGroesseChange(Sender: TObject);
begin
  Form_RP.CB_FontGroesse:=ComboBox_FontGroesse.ItemIndex;
  Form_RP.ComboBox_FontGroesse_aendern;
end; { procedure TEinstellungen_Form.ComboBox_FontGroesseChange }







procedure TEinstellungen_Form.CheckBox_TRACE_DateienChange(Sender: TObject);
begin
  Form_RP.CheckBox_TRC_Datei:=CheckBox_TRACE_Dateien.Checked;
  if CheckBox_TRACE_Dateien.Checked then begin
    Form_RP.TabSheet_TRC.TabVisible:=true;
  end
  else begin
    Form_RP.TabSheet_TRC.TabVisible:=false;
  end;
end; { procedure TEinstellungen_Form.CheckBox_TRACE_DateienChange }





procedure TEinstellungen_Form.CheckBox_LOG_DateienChange(Sender: TObject);
begin
  Form_RP.CheckBox_LOG_Dateien:=CheckBox_LOG_Dateien.Checked;
end; { procedure TEinstellungen_Form.CheckBox_LOG_DateienChange }




end.

