{ REGELWERK - RW }

const
  RW_LEN = 127;

  RW_CONST : array[1..RW_LEN] of RW_REC =
      (
        { <RB_prog> ::= PROGRAM <UT_Par_prog_name_rd> ; <UT_Par_prog_kopf> DEVICE }
        (Bez : RB_prog;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_PROGRAM;     RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_prog_name_rd; RW_Call_Bez : RB_keiner;      Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Bez_DEVICE;      RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_GLEICH;      RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_prog2;        Ele_erf : true)
         )),
        { <RB_prog2> ::= = <UT_Par_prog_device> ; <RB_element> BEGIN }
        (Bez : RB_prog2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_prog_device; RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_prog_kopf;   RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_element;      Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Bez_BEGIN;       RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_prog3;        Ele_erf : true)
        )),
        { <RB_prog3> ::= <UT_Par_prog_jump> <RB_statement_list> END <UT_Par_prog_name_cp> . }
        (Bez : RB_prog3;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_prog_jump;   RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_statement_list; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Bez_END;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_prog_name_cp; RW_Call_Bez : RB_keiner;      Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_PUNKT;       RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_element> ::= (<RB_var_element>,0,N) | (<RB_const_element>,0,N) |
                                (<RB_procedure>,0,N)   | (<RB_function>,0,N) |
                                (<RB_isr>,0,N) | (<RB_isr_liste>,0,N) }
        (Bez : RB_element;    Typ : RW_ODER_SCH_0_N_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_var_element; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_const_element; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_procedure;    Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_function;     Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_isr;          Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_isr_liste;    Ele_erf : false)
        )),
        { <RB_isr_liste> ::= ISR_LISTE ( <UT_Par_isrl_nr> , <UT_Par_isrl_org> , }
        (Bez : RB_isr_liste;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_ISR_LISTE;   RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_isrl_nr;     RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KOMMAR;      RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_isrl_org;    RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_isr_liste2;   Ele_erf : true)
        )),
        { <RB_isr_liste2> ::= <UT_Par_isrl_isr> , <UT_Par_isrl_bez> ) ;  }
        (Bez : RB_isr_liste2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Zei_KOMMAR;      RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_isrl_isr;    RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KOMMAR;      RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_isrl_bez;    RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true)
        )),
        { <RB_var_element> ::= VAR <RB_var_ele_sch> }
        (Bez : RB_var_element;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_VAR;         RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_var_ele_sch;  Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_var_ende;    RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_var_ele_sch> ::= (<RB_var_ele_sch2>,0,N) }
        (Bez : RB_var_ele_sch;    Typ : RW_ODER_SCH_0_N_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_var_ele_sch2; Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_var_ele_lst> ::= (RB_var_ele_lst2,0,N) }
        (Bez : RB_var_ele_lst;    Typ : RW_ODER_SCH_0_N_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_var_ele_lst2; Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_var_element> ::= , <UT_Par_var_liste> }
        (Bez : RB_var_ele_lst2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Zei_KOMMAR;      RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_var_liste;   RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_var_ele_sch2> ::= <UT_Par_var_name> <RB_var_ele_lst> : <UT_Par_var_type> ; }
        (Bez : RB_var_ele_sch2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_var_name;    RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_var_ele_lst;  Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_var_varianten; Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_var_varianten> ::= <RB_proc_VAR6> <RB_proc_VAR7> }
        (Bez : RB_var_varianten;   Typ : RW_ODER_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_var_std;      Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_var_bit;      Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_var_std> ::= : <UT_Par_var_type> ; }
        (Bez : RB_var_std;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Zei_DP;          RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_var_std2;     Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_var_std2> ::= <RB_proc_VAR6> | <RB_proc_VAR7> }
        (Bez : RB_var_std2;   Typ : RW_ODER_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_var_array;    Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_var_string;   Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_var_std3;     Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_var_std3> ::= <UT_Par_var_type> ; }
        (Bez : RB_var_std3;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_var_type;    RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_var_array> ::= ARRAY [ <UT_Par_var_array_von> ".." <UT_Par_var_array_bis> }
        (Bez : RB_var_array;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_ARRAY;       RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_EKA;        RW_Call_Bez : RB_keiner;        Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_var_array_von; RW_Call_Bez : RB_keiner;     Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_PUNKT_PUNKT; RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_var_array_bis; RW_Call_Bez : RB_keiner;     Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_var_array2;   Ele_erf : true)
        )),
        { <RB_var_array2> = <RB_var_array_1D> | <RB_var_array_2D> }
        (Bez : RB_var_array2;    Typ : RW_ODER_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_var_array_1D; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_var_array_2D; Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_var_array_1D> ::=  ] OF  }
        (Bez : RB_var_array_1D;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Zei_EKZ;         RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Bez_OF;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_var_array_type; RW_Call_Bez : RB_keiner;    Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_var_array_2D> ::=  , <UT_Par_var_array_von> ".." <UT_Par_var_array_bis> <RB_var_array_1D> }
        (Bez : RB_var_array_2D;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Zei_KOMMAR;      RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_var_array_2d_von; RW_Call_Bez : RB_keiner;  Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_PUNKT_PUNKT; RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_var_array_2d_bis; RW_Call_Bez : RB_keiner;  Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_var_array_1D; Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_var_string> ::= <UT_Par_var_string> [ <UT_Par_var_str_len> ] }
        (Bez : RB_var_string;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_var_string;  RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_EKA;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_var_str_len; RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_EKZ;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_var_bit> ::= [ <UT_Par_var_bit_reg> , <UT_Par_var_bit_pos> ] <RB_proc_VAR_bit2> }
        (Bez : RB_var_bit;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Zei_EKA;         RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_var_bit_reg; RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KOMMAR;      RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_var_bit_pos; RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_EKZ;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_var_bit2;     Ele_erf : true)
        )),
        { <RB_var_bit2> ::= : <UT_Par_var_bit_type> ; }
        (Bez : RB_var_bit2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Zei_DP;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_var_bit_type; RW_Call_Bez : RB_keiner;      Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        // *** CONST ***
        { <RB_const_element> ::= CONST <RB_const_ele_sch> }
        (Bez : RB_const_element;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_CONST;       RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_const_ele_sch; Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_const_ele_sch> ::= (<RB_const_ele_sch2>,0,N) }
        (Bez : RB_const_ele_sch;    Typ : RW_ODER_SCH_0_N_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_const_ele_sch2; Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_const_ele_sch2> ::= <UT_Par_const_name> : <RB_const_type> }
        (Bez : RB_const_ele_sch2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_const_name;  RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_DP;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_const_type;   Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_const_type> = <RB_const_type_grund> | <RB_const_array> }
        (Bez : RB_const_type;    Typ : RW_ODER_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_const_array;  Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_const_type_grund; Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_const_type_grund> ::= <UT_Par_const_type> = <UT_Par_const_wert> ; }
        (Bez : RB_const_type_grund;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_const_type;  RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_GLEICH;      RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_const_gt_elemente; Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_const_ende;  RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),

        { <RB_const_gt_elemente> ::= UT_Par_const_wert | UT_Par_const_bez | UT_Zei_PLUS |
                                     UT_Zei_MINUS | UT_Zei_MAL | UT_Zei_DURCH }
        (Bez : RB_const_gt_elemente;    Typ : RW_ODER_SCH_0_N_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_const_wert;  RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_const_bez;   RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_const_operator; RW_Call_Bez : RB_keiner;    Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),

        { <RB_const_array> ::= <UT_Bez_ARRAY> "[" <UT_Par_const_array_anf> ".."
                               <UT_Par_const_array_bis> <RB_const_array2> }
        (Bez : RB_const_array;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_ARRAY;       RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_EKA;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_const_array_von; RW_Call_Bez : RB_keiner;   Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_PUNKT_PUNKT; RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_const_array_bis;   RW_Call_Bez : RB_keiner; Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_const_array2; Ele_erf : true)
        )),
        { <RB_const_array2> ::= "]" OF <UT_Par_const_array_type> "=" "(" <RB_const_type_array3> }
        (Bez : RB_const_array2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Zei_EKZ;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Bez_OF;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_const_array_type; RW_Call_Bez : RB_keiner;  Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_GLEICH;      RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_const_array3; Ele_erf : true)
        )),
        { <RB_const_array3> ::= <UT_Par_const_array_end> ] }
        (Bez : RB_const_array3;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_const_array_element; RW_Call_Bez : RB_keiner; Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_const_array_liste; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_const_array_end; RW_Call_Bez : RB_keiner;   Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_const_array_liste> ::= (RB_const_array_liste2,0,N) }
        (Bez : RB_const_array_liste;    Typ : RW_ODER_SCH_0_N_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_const_array_liste2; Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_const_array_liste2> ::= , <UT_Par_const_array_element> }
        (Bez : RB_const_array_liste2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Zei_KOMMAR;      RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_const_array_element; RW_Call_Bez : RB_keiner; Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
         )),
        // *** PROCEDURE ***
        { <RB_procedure> ::= PROCEDURE <UT_Par_proc_name_rd> <RB_proc_param> ;
                                  BEGIN <RB_procedure2> }
        (Bez : RB_procedure;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_PROCEDURE;   RW_Call_Bez :  RB_keiner;      Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_proc_name_rd; RW_Call_Bez : RB_keiner;      Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_proc_param;   Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_proc_VAR;     Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_procedure2;   Ele_erf : true)
        )),
        { <RB_proc_param> ::= (<RB_proc_param2>,0,1) }
        (Bez : RB_proc_param;    Typ : RW_0_1_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_proc_param2;  Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_proc_param2> ::= ( <UT_Par_proc_par_name_rd> : <UT_Par_proc_par_type_rd> ) }
        (Bez : RB_proc_param2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_proc_par_name_rd; RW_Call_Bez : RB_keiner;  Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_proc_par_lst;  Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_DP;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_proc_par_type_rd; RW_Call_Bez : RB_keiner;  Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true)
        )),
        { <RB_proc_par_lst> ::= (RB_var_ele_lst2,0,N) }
        (Bez : RB_proc_par_lst;    Typ : RW_ODER_SCH_0_N_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_proc_par_lst2; Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_proc_par_lst2> ::= , <UT_Par_proc_par_liste_rd> }
        (Bez : RB_proc_par_lst2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Zei_KOMMAR;      RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_proc_par_liste_rd; RW_Call_Bez : RB_keiner; Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <procedure2> ::= <RB_statement_list> END <UT_Par_proc_name_cp> ; }
        (Bez : RB_procedure2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_BEGIN;       RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_statement_list; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Bez_END;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_proc_name_cp; RW_Call_Bez : RB_keiner;      Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_proc_VAR> ::= VAR <RB_proc_VAR2> }
          (Bez : RB_proc_VAR;    Typ : RW_0_1_REC; Rec : (
                (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_proc_VAR2;    Ele_erf : false),
                (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
                (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
                (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
                (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
                (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_proc_VAR2> ::= VAR <RB_proc_VAR2> }
        (Bez : RB_proc_VAR2;    Typ : RW_UND_REC; Rec : (
                (RW_SI_Unter_Typ : UT_Bez_VAR;         RW_Call_Bez : RB_keiner;       Ele_erf : false),
                (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_proc_VAR3;    Ele_erf : false),
                (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
                (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
                (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
                (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_proc_VAR3> ::= <RB_proc_VAR3> }
        (Bez : RB_proc_VAR3;   Typ : RW_ODER_SCH_0_N_REC; Rec : (
                (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_proc_VAR4;    Ele_erf : false),
                (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
                (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
                (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
                (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
                (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_proc_VAR3> ::= VAR }
        (Bez : RB_proc_VAR4;    Typ : RW_UND_REC; Rec : (
                (RW_SI_Unter_Typ : UT_Par_proc_lvar_name_rd; RW_Call_Bez : RB_keiner; Ele_erf : true),
                (RW_SI_Unter_Typ : UT_Zei_DP;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
                (RW_SI_Unter_Typ : UT_Par_proc_lvar_type_rd; RW_Call_Bez : RB_keiner; Ele_erf : true),
                (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
                (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
                (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        // *** FUNCTION ***
        { <function> ::= FUNCTION <UT_Par_func_name_rd> <RB_proc_param> :
                              <UT_Par_func_result_type_rd> <RB_function2> }
        (Bez : RB_function;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_FUNCTION;   RW_Call_Bez :  RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_func_name_rd; RW_Call_Bez : RB_keiner;      Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_proc_param;   Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_DP;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_func_result_type_rd; RW_Call_Bez : RB_keiner;  Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_function2;    Ele_erf : true)
        )),
        { <RB_function2> ::= ; BEGIN <RB_statement_list> <UT_Par_func_end> END <RB_function3> }
        (Bez : RB_function2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_proc_VAR;     Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Bez_BEGIN;       RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_statement_list; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_func_end;    RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_function3;    Ele_erf : true)
        )),
        { <RB_function3> ::= <UT_Par_func_name_cp> ; }
        (Bez : RB_function3;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_END;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_func_name_cp; RW_Call_Bez : RB_keiner;      Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        // *** ISR ***
        { <RB_isr> ::= ISR <UT_Par_isr_name_rd> ; BEGIN <RB_isr2> }
        (Bez : RB_isr;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_ISR;         RW_Call_Bez :  RB_keiner;      Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_isr_name_rd; RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Bez_BEGIN;       RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_statement_list; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_isr2;         Ele_erf : true)
        )),
        { <RB_isr2> ::= <RB_statement_list> END <UT_Par_isr_name_cp> ; }
        (Bez : RB_isr2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_END;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_isr_name_cp; RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        // *** Statementlist ***
        { <RB_statement_list> ::= <RB_statement_list2> <RB_statement_list3> }
        (Bez : RB_statement_list;    Typ : RW_ODER_SCH_0_N_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_statement_list1; Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_statement_list1> ::= <RB_statement_list2> <RB_statement_list3> <RB_statement_list4> }
        (Bez : RB_statement_list1;    Typ : RW_ODER_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_statement_list2; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_statement_list3; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_statement_list4; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_statement_list5; Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_statement_list2> ::= <RB_asm> <RB_zuweisung>  <RB_proc_call>
                                        <RB_func_return> <RB_for_to_do> <RB_loop> }
        (Bez : RB_statement_list2;    Typ : RW_ODER_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_asm;          Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_zuweisung;    Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_proc_call;    Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_func_return;  Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_for_to_do;    Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_loop;         Ele_erf : false)
        )),
        { <RB_statement_list3> ::= <RB_if_then> }
        (Bez : RB_statement_list3;    Typ : RW_ODER_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_if_then;      Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_inc;          Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_dec;          Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_shl;          Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_shr;          Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_nop;          Ele_erf : false)
        )),
        { <RB_statement_list4> ::= <RB_setbit> }
        (Bez : RB_statement_list4;    Typ : RW_ODER_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_setbit;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_clearbit;     Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_while;        Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_case;         Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_zuw_ziel_v_array_1d; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_EnableInts;   Ele_erf : false)
        )),
        { <RB_statement_list5> ::= <RB_setbit> }
        (Bez : RB_statement_list5;    Typ : RW_ODER_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_DisableInts;  Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_ISR_LISTE;    Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_zuw_ziel_v_array_2d; Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        // *** Zuweisung ***
        { <RB_zuweisung> ::= <UT_Par_zuw_Ziel> <RB_zuweisung2> }
        (Bez : RB_zuweisung;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_zuw_Ziel;    RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_zuweisung2;   Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_zuweisung2> ::= ":=" <RB_faktor> ; <UT_Par_zuw_abschl> }
        (Bez : RB_zuweisung2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Zei_DZ_DG;       RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_term;         Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_abschl;  RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_term> ::= }
        (Bez : RB_term;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_term2;        Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_terme1;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_term2> ::= <UT_Par_zuw_fak_VAR> | <UT_Par_zuw_fak_CONST> | <UT_Par_zuw_fak_CONRD> |
                               <RB_fak_fkt> }
        (Bez : RB_term2;    Typ : RW_ODER_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_zuw_fak_VAR; RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_zuw_fak_CONST; RW_Call_Bez : RB_keiner;     Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_zuw_fak_CONRD; RW_Call_Bez : RB_keiner;     Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_fak_fkt;      Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_fak_con_arr;  Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_term3;        Ele_erf : false)
        )),
        { <RB_term3> }
        (Bez : RB_term3;    Typ : RW_ODER_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_fak_b2w;      Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_fak_low;      Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_fak_high;     Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_fak_bithigh;  Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_fak_bitlow;   Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_term4;        Ele_erf : false)
        )),
        { <RB_term4> }
        (Bez : RB_term4;    Typ : RW_ODER_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_zuw_quelle_var_arr_1d; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_fak_b2c;      Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_fak_c2b;      Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_fak_length;   Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_fak_dwbyte;   Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_term5;        Ele_erf : false)
        )),
        { <RB_term5> }
        (Bez : RB_term5;    Typ : RW_ODER_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_fak_dwlow;    Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_fak_dwhigh;   Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_fak_wordtodw; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_fak_bytetodw; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_zuw_quelle_var_arr_2d; Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),





        { <RB_zuw_quelle_var_arr_2d> ::= <UT_Par_zuw_Q_V_ARR_1D> [ <RB_term> <UT_Par_zuw_Q_V_ARR_2D>
                                         , <RB_term> <UT_Par_zuw_Q_V_ARR_2D>                                   }
        (Bez : RB_zuw_quelle_var_arr_2d;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_zuw_Q_V_ARR_2D; RW_Call_Bez : RB_keiner;   Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_EKA;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_term;         Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_Q_V_ARR_POS_2D_01; RW_Call_Bez : RB_keiner; Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KOMMAR;      RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_zuw_quelle_var_arr_2d_02; Ele_erf : true)
        )),





        { <RB_zuw_quelle_var_arr_2d_02> ::= <UT_Par_zuw_Q_V_ARR_1D> [ <RB_term> <UT_Par_zuw_fak_ARRAY_POS> ] }
        (Bez : RB_zuw_quelle_var_arr_2d_02;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_term;         Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_Q_V_ARR_POS_2D_02; RW_Call_Bez : RB_keiner; Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_EKZ;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),









        { <RB_fak_b2w> }
        (Bez : RB_fak_b2w;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_BYTETOWORD;  RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_fak_B2W; RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_fak_b2c> }
        (Bez : RB_fak_b2c;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_BYTETOCHAR;  RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_fak_B2C; RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_fak_c2b> }
        (Bez : RB_fak_c2b;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_CHARTOBYTE;  RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_fak_C2B; RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_fak_low> }
        (Bez : RB_fak_low;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_LOW;         RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_fak_LOW; RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_fak_high> }
        (Bez : RB_fak_high;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_HIGH;        RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_fak_HIGH; RW_Call_Bez : RB_keiner;      Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_fak_bithigh> }
        (Bez : RB_fak_bithigh;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_BITHIGH;     RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_fak_BITHIGH; RW_Call_Bez : RB_keiner;   Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_fak_bitlow> }
        (Bez : RB_fak_bitlow;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_BITLOW;      RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_fak_BITLOW; RW_Call_Bez : RB_keiner;    Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_fak_length> }
        (Bez : RB_fak_length;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_LENGTH;      RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_fak_LENGTH; RW_Call_Bez : RB_keiner;    Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_fak_dwbyte> }
        (Bez : RB_fak_dwbyte;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_DWORDTOBYTE; RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_fak_DWBYTE1; RW_Call_Bez : RB_keiner;   Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KOMMAR;      RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_fak_DWBYTE2; RW_Call_Bez : RB_keiner;   Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true)
        )),
        { <RB_fak_dwlow> }
        (Bez : RB_fak_dwlow;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_DWLOW;       RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_fak_DWLOW; RW_Call_Bez : RB_keiner;     Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_fak_dwhigh> }
        (Bez : RB_fak_dwhigh;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_DWHIGH;      RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_fak_DWHIGH; RW_Call_Bez : RB_keiner;    Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_fak_wordtodw> }
        (Bez : RB_fak_wordtodw;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_WORDTODWORD; RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_fak_WORDTODW; RW_Call_Bez : RB_keiner;  Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_fak_bytetodw> }
        (Bez : RB_fak_bytetodw;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_BYTETODWORD; RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_fak_BYTETODW; RW_Call_Bez : RB_keiner;  Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),

        { <RB_terme1> ::= }
        (Bez : RB_terme1;    Typ : RW_ODER_SCH_0_N_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_terme2;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_terme2> ::= }
        (Bez : RB_terme2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_zuw_operator; RW_Call_Bez : RB_keiner;      Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_term2;        Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_fak_con_arr> ::= }
        (Bez : RB_fak_con_arr;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_zuw_fak_CON_ARR; RW_Call_Bez : RB_keiner;   Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_EKA;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_term;         Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_Q_V_ARR_POS_1D; RW_Call_Bez : RB_keiner; Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_EKZ;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_fak_fkt> ::= <UT_Par_zuw_fak_FKT> <RB_proc_call_par> <UT_Par_func_call_exec> }
        (Bez : RB_fak_fkt;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_zuw_fak_FKT; RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_proc_call_par; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_func_call_exec; RW_Call_Bez : RB_keiner;    Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_zuw_quelle_var_arr_1d> ::= <UT_Par_zuw_Q_V_ARR_1D> [ <RB_term> <UT_Par_zuw_Q_V_ARR_POS_1D> ] }
        (Bez : RB_zuw_quelle_var_arr_1d;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_zuw_Q_V_ARR_1D; RW_Call_Bez : RB_keiner;   Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_EKA;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_term;         Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_Q_V_ARR_POS_1D; RW_Call_Bez : RB_keiner; Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_EKZ;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_zuw_ziel_v_array_1d> ::= <UT_Par_zuw_Z_V_ARR_1D> [ <RB_term> <UT_Par_zuw_Z_V_ARR_POS_1D> ]
                               <RB_zuweisung2> }
        (Bez : RB_zuw_ziel_v_array_1d; Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_zuw_Z_V_ARR_1D; RW_Call_Bez : RB_keiner;    Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_EKA;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_term;         Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_Z_V_ARR_POS_1D; RW_Call_Bez : RB_keiner; Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_EKZ;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_zuweisung2;   Ele_erf : true)
        )),
        { <RB_zuw_v_array_2d> ::= <UT_Par_zuw_ziel_V_ARR_2D> [ <RB_term> <UT_Par_zuw_Z_V_ARR_POS_1D> ]
                               <RB_zuweisung2> }
        (Bez : RB_zuw_ziel_v_array_2d; Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_zuw_Z_V_ARR_2D; RW_Call_Bez : RB_keiner;    Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_EKA;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_term;         Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_Z_V_ARR_POS_2D_01; RW_Call_Bez : RB_keiner; Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KOMMAR;      RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_zuw_ziel_v_array_2d_02; Ele_erf : true)
        )),
        { <RB_zuw_ziel_v_array_2d> ::= <UT_Par_zuw_Z_V_ARR_2D> [ <RB_term> <UT_Par_zuw_Z_V_ARR_POS_1D> ]
                               <RB_zuweisung2> }
        (Bez : RB_zuw_ziel_v_array_2d_02; Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_term;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_zuw_Z_V_ARR_POS_2D_02; RW_Call_Bez : RB_keiner; Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_EKZ;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_zuweisung2;   Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),

        { <RB_proc_call> ::= <UT_Par_proc_call_name> <RB_proc_call_par>
                                  <UT_Par_proc_call_exec> ; }
        (Bez : RB_proc_call;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_proc_call_name; RW_Call_Bez : RB_keiner;    Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_proc_call_par; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_proc_call_exec; RW_Call_Bez : RB_keiner;    Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_proc_call_par> ::= (<RB_proc_call_par2>,0,1) }
        (Bez : RB_proc_call_par;    Typ : RW_0_1_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_proc_call_par2; Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_proc_call_par2> ::= ( <UT_Par_proc_call_par> <RB_proc_call_par_lst> ) }
        (Bez : RB_proc_call_par2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_proc_call_par; RW_Call_Bez : RB_keiner;     Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_proc_call_par_lst;  Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_proc_call_par_lst> ::= (RB_proc_call_par_lst2,0,N) }
        (Bez : RB_proc_call_par_lst;    Typ : RW_ODER_SCH_0_N_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_proc_call_par_lst2; Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_proc_call_par_lst2> ::= , <UT_Par_proc_call_par_lst> }
        (Bez : RB_proc_call_par_lst2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Zei_KOMMAR;      RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_proc_call_par_lst; RW_Call_Bez : RB_keiner; Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_asm> ::= ASM ; <UT_Par_asm_start> ENDASM ; }
        (Bez : RB_asm;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_ASM;         RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_asm_start;   RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Bez_ENDASM;      RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_func_return> ::= ( RETURN ( <UT_Par_func_return_rd> ) ; }
        (Bez : RB_func_return;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_RESULT;      RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_DZ_DG;       RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_func_result_rd; RW_Call_Bez : RB_keiner;     Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_for_to_do> ::= FOR <UT_Par_zuw_Ziel> := <RB_term> <UT_Par_ftd_ziel> <RB_for_to_do2> }
        (Bez : RB_for_to_do;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_FOR;         RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_zuw_Ziel;    RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_DZ_DG;       RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_term;         Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_ftd_ziel;    RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_for_to_do2;   Ele_erf : false)
        )),
        { <RB_for_to_do2> ::= TO <UT_Par_call_bez> <UT_Par_ftd_vergl>
                                   DO <RB_statement_list> <RB_for_to_do3> }
        (Bez : RB_for_to_do2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_for_to_downto; Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_term;         Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_ftd_vergl;   RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Bez_DO;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_statement_list; Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_for_to_do3;   Ele_erf : true)
        )),
        { <RB_for_to_do3> ::= ENDFOR <UT_Par_ftd_loop> ; }
              (Bez : RB_for_to_do3;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_ENDFOR;      RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_ftd_loop;    RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_for_to_downto> ::= <RB_for_to_downto2> <RB_for_to_downto3> }
              (Bez : RB_for_to_downto;    Typ : RW_ODER_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_for_to_downto2; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_for_to_downto3; Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_for_to_downto2> ::= TO <UT_Par_ftd_to> }
              (Bez : RB_for_to_downto2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_TO;          RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_ftd_to;      RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_for_to_downto3> ::= DOWNTO <UT_Par_ftd_downto> }
              (Bez : RB_for_to_downto3;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_DOWNTO;      RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_ftd_downto;  RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_loop> ::= LOOP <UT_Par_loop_start> <RB_statement_list> ENDLOOP ; <RB_loop2> }
        (Bez : RB_loop;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_LOOP;        RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_loop_start;  RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_statement_list; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Bez_ENDLOOP;     RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_loop2;        Ele_erf : true)
        )),
        { <RB_loop> ::= <UT_Par_loop_end> }
              (Bez : RB_loop2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_loop_end;    RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_if_then> ::= IF <UT_Par_if_then_init> <RB_term> THEN <UT_Par_if_then_start> }
              (Bez : RB_if_then;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_IF;          RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_if_then_init; RW_Call_Bez : RB_keiner;      Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_term;         Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Bez_THEN;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_if_then_start; RW_Call_Bez : RB_keiner;     Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_if_then2;     Ele_erf : true)
        )),
        { <RB_if_then2> ::= <RB_statement_list> }
              (Bez : RB_if_then2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_statement_list; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_if_else;      Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Bez_ENDIF;       RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_if_then_end; RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_if_else> ::= (<RB_if_else2>,0,1) }
        (Bez : RB_if_else;    Typ : RW_0_1_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_if_else2;     Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_if_else2> ::= ELSE <UT_Par_if_then_else> <RB_statement_list> }
        (Bez : RB_if_else2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_ELSE;        RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_if_then_else; RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_statement_list; Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_inc> ::= INC ( <UT_Par_inc> ) ; }
        (Bez : RB_inc;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_INC;         RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_inc;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_dec> ::= DEC ( <UT_Par_dec> ) ; }
        (Bez : RB_dec;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_DEC;         RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_dec;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_shl> ::= SHL ( <UT_Par_shl> ) ; }
        (Bez : RB_shl;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_SHL;         RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_shl;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_shr> ::= SHR ( <UT_Par_shr> ) ; }
        (Bez : RB_shr;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_SHR;         RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_shr;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_nop> ::= NOP <UT_Par_nop> ; }
        (Bez : RB_nop;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_NOP;         RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_nop;         RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_setbit> ::= SETBIT ( <UT_Par_setbit> ) ; }
        (Bez : RB_setbit;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_SETBIT;      RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_setbit;      RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_clearbit> ::= CLEARBIT ( <UT_Par_setbit> ) ; }
        (Bez : RB_clearbit;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_CLEARBIT;    RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_KA;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_clearbit;    RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_KZ;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_while> ::= WHILE <UT_Par_while_init> <RB_term> DO <UT_Par_while_start> }
              (Bez : RB_while;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_WHILE;       RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_while_init;  RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_term;         Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Bez_DO;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_while_start; RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_while2;       Ele_erf : true)
        )),
        { <RB_while2> ::= <RB_statement_list> ENDWHILE <UT_Par_while_end> ; }
              (Bez : RB_while2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_statement_list; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Bez_ENDWHILE;    RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_while_end;   RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_case> ::= CASE <UT_Par_case_var> OF <RB_case_liste> <RB_case2> }
              (Bez : RB_case;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_CASE;        RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_case_var;    RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Bez_OF;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_case_liste;   Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_case_else;    Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_case2;        Ele_erf : true)
        )),
        { <RB_case2> ::= <RB_statement_list> ENDWHILE <UT_Par_while_end> ; }
              (Bez : RB_case2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_ENDCASE;     RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_case_end;    RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_case_liste> ::= (RB_case_liste2,0,N) }
        (Bez : RB_case_liste;    Typ : RW_ODER_SCH_0_N_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_case_liste2;  Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_case_liste2> ::=  }
              (Bez : RB_case_liste2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_case_element; RW_Call_Bez : RB_keiner;      Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_case_ele_typ; Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_statement_list; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_SS;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_case_ele_typ> ::= <> }
        (Bez : RB_case_ele_typ;    Typ : RW_ODER_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_case_ele_ein; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_case_ele_ber; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_case_ele_lis; Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_case_ele_ein> ::=  }
              (Bez : RB_case_ele_ein;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Zei_DP;          RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_case_ele_ein; RW_Call_Bez : RB_keiner;      Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_case_ele_ber> ::=  }
              (Bez : RB_case_ele_ber;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Zei_PUNKT_PUNKT; RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_case_ele_ber; RW_Call_Bez : RB_keiner;      Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_DP;          RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_case_ele_lis> ::= , <UT_Par_case_ele_lis> <RB_case_ele_lis2> <UT_Par_case_ele_lis_end> }
              (Bez : RB_case_ele_lis;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Zei_KOMMAR;      RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_case_ele_lis; RW_Call_Bez : RB_keiner;      Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_case_ele_lis2; Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Zei_DP;          RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_case_ele_lis_end; RW_Call_Bez : RB_keiner;  Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_case_ele_lis2> ::= <> }
        (Bez : RB_case_ele_lis2;    Typ : RW_ODER_SCH_0_N_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_case_ele_lis3; Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_case_ele_lis3> ::= <> }
              (Bez : RB_case_ele_lis3;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Zei_KOMMAR;      RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_case_ele_lis; RW_Call_Bez : RB_keiner;      Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_case_else> ::= (<RB_case_else2>,0,1) }
        (Bez : RB_case_else;    Typ : RW_0_1_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_case_else2;   Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_case_else2> ::=  }
              (Bez : RB_case_else2;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_ELSE;        RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_case_else;   RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Par_call_bez;    RW_Call_Bez : RB_statement_list; Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_EnableInts> ::= EnableInts <UT_Par_EnableInts> ; }
        (Bez : RB_EnableInts;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_EnableInts;  RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_EnableInts;  RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_DisableInts> ::= DisableInts <UT_Par_DisableInts> ; }
        (Bez : RB_DisableInts;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : UT_Bez_DisableInts; RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : UT_Par_DisableInts; RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : UT_Zei_SEMI;        RW_Call_Bez : RB_keiner;       Ele_erf : true),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        )),
        { <RB_keiner> ::= }
        (Bez : RB_keiner;    Typ : RW_UND_REC; Rec : (
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false),
              (RW_SI_Unter_Typ : kein_UT;            RW_Call_Bez : RB_keiner;       Ele_erf : false)
        ))
       );















